--[[
--
-- Aule's The Magic Word
--
-- Localization strings.
--
--]]

-- English
TMW_TITLE                     = "The Magic Word";
TMW_VERSION                   = "0.5a";
TMW_TITLE_VERSION             = TMW_TITLE .. " v" .. TMW_VERSION;
TMW_DESCRIPTION               = "Countdown and DKP bid utility for DKP managers.";
TMW_LOADED                    = "|cffffff00" .. TMW_TITLE .. " v" .. TMW_VERSION .. " loaded";

local function UB_Localize(in_pattern)

    local pattern = in_pattern;

	local i,k,field,idx;

	pattern = string.gsub(pattern,"%.$",""); -- strip trailing .
	pattern = string.gsub(pattern,"%%s","(.+)"); -- %s to (.+)
	pattern = string.gsub(pattern,"%%d","(%%d+)"); -- %d to (%d+)
	if string.find(pattern,"%$") then
		-- entries need reordered, ie: SPELLMISSOTHEROTHER = "%2$s von %1$s verfehlt %3$s.";

		pattern = string.gsub(pattern,"%%%d%$s","(.+)");
		pattern = string.gsub(pattern,"%%%d%$d","(%%d+)");
	end

    return pattern;
end
